Open Lighting Architecture: ola::RDMHTTPModule Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::RDMHTTPModule Class Reference

## Public Member Functions
| RDMHTTPModule (ola::http::HTTPServer *http_server, ola::client::OlaClient *client)
void | SetPidStore (const ola::rdm::RootPidStore *pid_store)
| Can be called while the server is running. Ownership is not transferred.
int | RunRDMDiscovery (const ola::http::HTTPRequest *request, ola::http::HTTPResponse *response)
| Run RDM discovery for a universe.
int | JsonUIDs (const ola::http::HTTPRequest *request, ola::http::HTTPResponse *response)
| Return the list of uids for this universe as json.
int | JsonUIDInfo (const ola::http::HTTPRequest *request, ola::http::HTTPResponse *response)
| Return the device info for this uid.
int | JsonUIDIdentifyDevice (const ola::http::HTTPRequest *request, ola::http::HTTPResponse *response)
| Returns the identify state for the device.
int | JsonUIDPersonalities (const ola::http::HTTPRequest *request, ola::http::HTTPResponse *response)
| Returns the personalities on the device.
int | JsonSupportedPIDs (const ola::http::HTTPRequest *request, ola::http::HTTPResponse *response)
| Return a list of PIDs supported by this device.
int | JsonSupportedSections (const ola::http::HTTPRequest *request, ola::http::HTTPResponse *response)
| Return a list of sections to display in the RDM control panel.
int | JsonSectionInfo (const ola::http::HTTPRequest *request, ola::http::HTTPResponse *response)
| Get the information required to render a section in the RDM controller panel.
int | JsonSaveSectionInfo (const ola::http::HTTPRequest *request, ola::http::HTTPResponse *response)
void | PruneUniverseList (const std::vector< client::OlaUniverse > &universes)

## Member Function Documentation

## ◆ JsonSaveSectionInfo()

int ola::RDMHTTPModule::JsonSaveSectionInfo | ( | const ola::http::HTTPRequest * | request,
|  | ola::http::HTTPResponse * | response )

Save the information for a section or item.

## ◆ JsonSupportedPIDs()

int ola::RDMHTTPModule::JsonSupportedPIDs | ( | const ola::http::HTTPRequest * | request,
|  | ola::http::HTTPResponse * | response )

Return a list of PIDs supported by this device.

This isn't used by the UI but it's useful for debugging.

Parameters

  request | the HTTPRequest
  response | the HTTPResponse

Returns
  MHD_NO or MHD_YES

See also
  JsonSupportedSections

## ◆ JsonSupportedSections()

int ola::RDMHTTPModule::JsonSupportedSections | ( | const ola::http::HTTPRequest * | request,
|  | ola::http::HTTPResponse * | response )

Return a list of sections to display in the RDM control panel.

We use the response from SUPPORTED_PARAMS and DEVICE_INFO to decide which PIDs exist.

Parameters

  request | the HTTPRequest
  response | the HTTPResponse

Returns
  MHD_NO or MHD_YES

## ◆ JsonUIDIdentifyDevice()

int ola::RDMHTTPModule::JsonUIDIdentifyDevice | ( | const ola::http::HTTPRequest * | request,
|  | ola::http::HTTPResponse * | response )

Returns the identify state for the device.

Parameters

  request | the HTTPRequest
  response | the HTTPResponse

Returns
  MHD_NO or MHD_YES

## ◆ JsonUIDInfo()

int ola::RDMHTTPModule::JsonUIDInfo | ( | const ola::http::HTTPRequest * | request,
|  | ola::http::HTTPResponse * | response )

Return the device info for this uid.

Parameters

  request | the HTTPRequest
  response | the HTTPResponse

Returns
  MHD_NO or MHD_YES

## ◆ JsonUIDPersonalities()

int ola::RDMHTTPModule::JsonUIDPersonalities | ( | const ola::http::HTTPRequest * | request,
|  | ola::http::HTTPResponse * | response )

Returns the personalities on the device.

Parameters

  request | the HTTPRequest
  response | the HTTPResponse

Returns
  MHD_NO or MHD_YES

## ◆ JsonUIDs()

int ola::RDMHTTPModule::JsonUIDs | ( | const ola::http::HTTPRequest * | request,
|  | ola::http::HTTPResponse * | response )

Return the list of uids for this universe as json.

Parameters

  request | the HTTPRequest
  response | the HTTPResponse

Returns
  MHD_NO or MHD_YES

## ◆ PruneUniverseList()

void ola::RDMHTTPModule::PruneUniverseList | ( | const std::vector< client::OlaUniverse > & | universes | ) |

This is called from the main http server whenever a new list of active universes is received. It's used to prune the uid map so we don't bother trying to resolve uids for universes that no longer exist.

## ◆ RunRDMDiscovery()

int ola::RDMHTTPModule::RunRDMDiscovery | ( | const ola::http::HTTPRequest * | request,
|  | ola::http::HTTPResponse * | response )

Run RDM discovery for a universe.

Parameters

  request | the HTTPRequest
  response | the HTTPResponse

Returns
  MHD_NO or MHD_YES

The documentation for this class was generated from the following files:

- olad/RDMHTTPModule.h
- olad/RDMHTTPModule.cpp